config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/X11/WindowMaker/wmweather.conf.new


( cd usr/bin ; rm -rf wmWeather )
( cd usr/bin ; ln -sf wmweather wmWeather )
( cd usr/man/man1 ; rm -rf wmWeather.1 )
( cd usr/man/man1 ; ln -sf wmweather.1 wmWeather.1 )
